GET /data/playlists/{playlist_id}/jobs/{build_job_id}/build/mp4

Download given playlist build as MP4 file.

Path parameters

  • playlist_id string(uuid) Required

    Playlist unique identifier

  • build_job_id string(uuid) Required

    Build job unique identifier

Responses

  • 200 video/mp4

    Playlist build downloaded as MP4 file

  • 400 application/json

    Build not finished, need to retry later

    Hide response attributes Show response attributes object
    • error boolean

      Error flag

    • message string

      Error message

GET /data/playlists/{playlist_id}/jobs/{build_job_id}/build/mp4
curl -X GET "http://api.example.com/data/playlists/a24a6ea4-ce75-4665-a070-57453082c25/jobs/b35b7fb5-df86-5776-b181-68564193d36/build/mp4" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/playlists/a24a6ea4-ce75-4665-a070-57453082c25/jobs/b35b7fb5-df86-5776-b181-68564193d36/build/mp4"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/playlists/a24a6ea4-ce75-4665-a070-57453082c25/jobs/b35b7fb5-df86-5776-b181-68564193d36/build/mp4' \
 --header "Authorization: $API_KEY"
Response examples (400)
{
  "error": true,
  "message": "Build is not finished"
}